# Constant Field Values

## Contents

- org.pentaho.*

## org.pentaho.*

org.pentaho.reporting.libraries.formula.LibFormulaBoot
Modifier and Type
Constant Field
Value
`public static final int`
`GLOBAL_SCALE`
`40`
org.pentaho.reporting.libraries.formula.LibFormulaErrorValue
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR_ARGUMENTS`
`1`
`public static final int`
`ERROR_ARITHMETIC`
`503`
`public static final int`
`ERROR_ILLEGAL_ARRAY`
`667`
`public static final int`
`ERROR_INVALID_ARGUMENT`
`502`
`public static final int`
`ERROR_INVALID_AUTO_ARGUMENT`
`666`
`public static final int`
`ERROR_INVALID_CHARACTER`
`501`
`public static final int`
`ERROR_INVALID_FUNCTION`
`505`
`public static final int`
`ERROR_MISSING_VARIABLE`
`511`
`public static final int`
`ERROR_NA`
`522`
`public static final int`
`ERROR_NOT_FOUND`
`504`
`public static final int`
`ERROR_REFERENCE_NOT_RESOLVABLE`
`499`
`public static final int`
`ERROR_UNEXPECTED`
`0`

org.pentaho.reporting.libraries.formula.function.datetime.DateDifFunction
Modifier and Type
Constant Field
Value
`public static final String`
`DAYS_CODE`
`"d"`
`public static final String`
`DAYS_IGNORING_MONTHS_YEARS`
`"md"`
`public static final String`
`DAYS_IGNORING_YEARS`
`"yd"`
`public static final String`
`MONTHS_CODE`
`"m"`
`public static final String`
`MONTHS_IGNORING_YEARS`
`"ym"`
`public static final String`
`YEARS_CODE`
`"y"`

org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants
Modifier and Type
Constant Field
Value
`public static final int`
`APPROXIMATE_NUMERIC_LITERAL`
`45`
`public static final int`
`BINARY_DIGIT`
`7`
`public static final int`
`COLON`
`15`
`public static final int`
`COLUMN_LOOKUP`
`41`
`public static final int`
`COMMA`
`13`
`public static final int`
`CONCAT`
`38`
`public static final int`
`DEFAULT`
`0`
`public static final int`
`DIGIT`
`5`
`public static final int`
`DIV`
`30`
`public static final int`
`DQUOTE`
`17`
`public static final int`
`EOF`
`0`
`public static final int`
`EQUALS`
`32`
`public static final int`
`EXACT_NUMERIC_LITERAL`
`44`
`public static final int`
`EXPONENT_PART`
`9`
`public static final int`
`GT`
`37`
`public static final int`
`GT_EQUALS`
`35`
`public static final int`
`HEX_DIGIT`
`6`
`public static final int`
`IDENTIFIER`
`40`
`public static final int`
`L_BRACE`
`24`
`public static final int`
`L_BRACKET`
`21`
`public static final int`
`L_PAREN`
`19`
`public static final int`
`LETTER`
`3`
`public static final int`
`LT`
`36`
`public static final int`
`LT_EQUALS`
`34`
`public static final int`
`MANTISSA`
`46`
`public static final int`
`MINUS`
`28`
`public static final int`
`MULT`
`29`
`public static final int`
`NEWLINE`
`10`
`public static final int`
`NON_ZERO_DIGIT`
`4`
`public static final int`
`NONQUOTE_CHARACTER`
`11`
`public static final int`
`NONQUOTE_LOOKUP`
`12`
`public static final int`
`NOT_EQUALS`
`33`
`public static final int`
`NULL`
`48`
`public static final int`
`PERCENT`
`39`
`public static final int`
`PERIOD`
`14`
`public static final int`
`PIPE`
`26`
`public static final int`
`PLUS`
`27`
`public static final int`
`POW`
`31`
`public static final int`
`QUEST`
`23`
`public static final int`
`QUOTE`
`16`
`public static final int`
`R_BRACE`
`25`
`public static final int`
`R_BRACKET`
`22`
`public static final int`
`R_PAREN`
`20`
`public static final int`
`SEMICOLON`
`18`
`public static final int`
`SIGN`
`47`
`public static final int`
`STRING_LITERAL`
`42`
`public static final int`
`UNSIGNED_INTEGER`
`8`
`public static final int`
`UNSIGNED_NUMERIC_LITERAL`
`43`
`public static final int`
`WHITESPACE`
`1`
org.pentaho.reporting.libraries.formula.parser.JavaCharStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`staticFlag`
`false`
org.pentaho.reporting.libraries.formula.parser.TokenMgrError
Modifier and Type
Constant Field
Value
`public static final int`
`INVALID_LEXICAL_STATE`
`2`
`public static final int`
`LEXICAL_ERROR`
`0`
`public static final int`
`LOOP_DETECTED`
`3`
`public static final int`
`STATIC_LEXER_ERROR`
`1`

org.pentaho.reporting.libraries.formula.typing.Type
Modifier and Type
Constant Field
Value
`public static final String`
`ANY_TYPE`
`"type.any"`
`public static final String`
`ARRAY_TYPE`
`"type.array"`
`public static final String`
`DATE_TYPE`
`"type.date"`
`public static final String`
`DATETIME_TYPE`
`"type.datetime"`
`public static final String`
`ERROR_TYPE`
`"type.error"`
`public static final String`
`LOGICAL_TYPE`
`"type.logical"`
`public static final String`
`NUMERIC_SEQUENCE_TYPE`
`"type.numeric.sequence"`
`public static final String`
`NUMERIC_TYPE`
`"type.numeric"`
`public static final String`
`NUMERIC_UNIT`
`"unit.numeric"`
`public static final String`
`SCALAR_TYPE`
`"type.scalar"`
`public static final String`
`SEQUENCE_TYPE`
`"type.sequence"`
`public static final String`
`TEXT_TYPE`
`"type.text"`
`public static final String`
`TIME_TYPE`
`"type.time"`